Bug 156928 - sata_promise in 2.4.21-27.0.4.EL doesn't support Promise sataII 150 tx4 yet
sata_promise in 2.4.21-27.0.4.EL doesn't support Promise sataII 150 tx4 yet
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-05 09:56 EDT by Bert de Bruijn
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4.21-32.EL
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:29:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bert de Bruijn 2005-05-05 09:56:01 EDT
Description of problem:
 sata_promise (from kernel-unsupported) doesn't recognize a Promise SataII 150
TX4 card (105a:3d18). It works with an older Promise Sata 150 TX4 (105a:3318).

Version-Release number of selected component (if applicable):
 kernel-2.4.21-27.0.4.EL and kernel-unsupported-2.4.21-27.0.4.EL

  
Actual results:
 /lib/modules/2.4.21-27.0.2.EL/kernel/drivers/scsi/sata_promise.o: init_module:
No such device
 Hint: insmod errors can be caused by incorrect module parameters, including
invalid IO or IRQ parameters.
      You may find more information in syslog or the output from dmesg
 /lib/modules/2.4.21-27.0.2.EL/kernel/drivers/scsi/sata_promise.o: insmod
/lib/modules/2.4.21-27.0.2.EL/kernel/drivers/scsi/sata_promise.o failed
 /lib/modules/2.4.21-27.0.2.EL/kernel/drivers/scsi/sata_promise.o: insmod
sata_promise failed


Expected results:
 sata_promise version 1.00
 ata1: SATA max UDMA/133 cmd 0xE0875200 ctl 0xE0875238 bmdma 0x0 irq 11
 ata2: SATA max UDMA/133 cmd 0xE0875280 ctl 0xE08752B8 bmdma 0x0 irq 11
 ata3: SATA max UDMA/133 cmd 0xE0875300 ctl 0xE0875338 bmdma 0x0 irq 11
 ata4: SATA max UDMA/133 cmd 0xE0875380 ctl 0xE08753B8 bmdma 0x0 irq 11
...


Additional info:
 I know this module is unsupported, but knowing that the card will or will not
be recognized by a future kernel update would make a big difference. (=hunting
for an older sata card vs. waiting a couple of months for a new kernel rpm in RHN.)
Comment 1 Bert de Bruijn 2005-05-05 12:56:23 EDT
Seeing references to 2.4.21-32.EL (from the EL3 beta channel) in other bugzilla
records, I decided to try that version. The sata_promise driver 1.01 in this
kernel supports the SataII 150 TX4:

sata_promise version 1.01
PCI: Found IRQ 11 for device 02:0b.0
PCI: Sharing IRQ 11 with 00:1f.2
PCI: Sharing IRQ 11 with 03:0a.1
ata1: SATA max UDMA/133 cmd 0xD0A13200 ctl 0xD0A13238 bmdma 0x0 irq 11
ata2: SATA max UDMA/133 cmd 0xD0A13280 ctl 0xD0A132B8 bmdma 0x0 irq 11
ata3: SATA max UDMA/133 cmd 0xD0A13300 ctl 0xD0A13338 bmdma 0x0 irq 11
ata4: SATA max UDMA/133 cmd 0xD0A13380 ctl 0xD0A133B8 bmdma 0x0 irq 11
Comment 2 Ernie Petrides 2005-05-05 17:38:27 EDT
Thanks for the verification, Bert.  I'm going to reopen this BZ and leave
it in MODIFIED state until U5 is officially released (in about two weeks),
at which time it will automatically be closed by the Errata System.
Comment 3 Ernie Petrides 2005-05-05 17:39:54 EDT
A fix for this problem was committed to the RHEL3 U5 patch
pool on 14-Feb-2005 (in kernel version 2.4.21-27.13.EL).
Comment 4 Tim Powers 2005-05-18 09:29:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.